////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file bitmaps_internal.h
/// Declarations of internal bitmap functions
////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "system.h"

extern int  _ts5_is_bitmaps_installed;


#ifdef __cplusplus
extern "C" {
#endif
	
void ts5_check_bitmaps(char *calling_function);
void ts5_check_bitmaps2(char *calling_function, TS5_BITMAP *map);
void ts5_install_bitmaps(char *calling_function);
void ts5_uninstall_bitmaps();

#ifdef __cplusplus
}
#endif

