////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file randomizer.h
/// Declarations of randomizer functions
////////////////////////////////////////////////////////////////////////////////

#pragma once


#ifdef __cplusplus
extern "C" {
#endif
	
unsigned long int ts5_random_integer(const unsigned long int max);
void ts5_random_list(const int nmax, const int freq, int *list);

double ts5_random_uniform();
double ts5_random_normal(double mu, double sigma);
double ts5_random_exponential(double mu);

unsigned long int ts5_seed_randomizer(const unsigned long int seed);

#ifdef __cplusplus
}
#endif

