////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file timer_internal.h
/// Declarations of internal timer functions
////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "system.h"

extern int  _ts5_is_timer_installed;


#ifdef __cplusplus
extern "C" {
#endif
	
void ts5_check_timer(char *calling_function);
void ts5_check_timer2(char *calling_function);
void ts5_check_timer3(char *calling_function);
void ts5_check_timer4(char *calling_function);

void ts5_install_timer(char *calling_function);
void ts5_uninstall_timer();

void ts5_install_realtime_clock(char *calling_function);
void ts5_uninstall_realtime_clock();
void ts5_realtime_clock_nap();

#ifdef __cplusplus
}
#endif

